#ifndef RADIOFILTEROPTIONS_H
#define RADIOFILTEROPTIONS_H

// libunity-core
#include <UnityCore/Filter.h>

// unity-2d
#include "filteroption.h"

class RadioFilterOptions : public FilterOptions
{
    Q_OBJECT

    Q_PROPERTY(int activeIndex READ activeIndex NOTIFY activeIndexChanged)

public:
    explicit RadioFilterOptions(const std::vector<unity::dash::FilterOption::Ptr>& list,
                                sigc::signal<void, unity::dash::FilterOption::Ptr> itemAddedSignal,
                                sigc::signal<void, unity::dash::FilterOption::Ptr> itemRemovedSignal,
                                QObject *parent = 0);

    int activeIndex() const;

Q_SIGNALS:
    void activeIndexChanged();

protected:
    void addItem(unity::dash::FilterOption::Ptr item, int index);
    void removeItem(unity::dash::FilterOption::Ptr item, int index);

private:
    int m_activeIndex;

private Q_SLOTS:
    void onActiveChanged(bool active);
};
Q_DECLARE_METATYPE(RadioFilterOptions*)

#endif // RADIOFILTEROPTIONS_H
