/*
 * This file is part of unity-2d
 *
 * Copyright 2011 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 1.0
import "../common/units.js" as Units

VolumeIndicator {
    background.width: active ? Units.tvPx(100) : width
    background.height: active ? Units.tvPx(380) : height
    background.opacity: active ? 0.5 : activeFocus ? 0.2 : 0

    Item {
        id: volumeBarClip
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: background.top
        anchors.topMargin: Units.tvPx(80)
        anchors.bottom: background.bottom
        width: background.width
        visible: background.width != Units.tvPx(80)
        opacity: active ? 1 : 0
        clip: true

        Behavior on opacity { NumberAnimation {} }

        BorderImage {
            id: volumeBarOutline

            anchors.bottom: volumeBarClip.bottom
            anchors.bottomMargin: 10
            anchors.horizontalCenter: volumeBarClip.horizontalCenter

            source: "artwork/volume_bar.sci"

            height: Units.tvPx(260)
            width: Units.tvPx(54)
        }

        BorderImage {
            id: volumeBarFiller
            source: "artwork/volume_filler.sci"

            anchors.horizontalCenter: volumeBarOutline.horizontalCenter
            anchors.bottom: volumeBarOutline.bottom
            width: Units.tvPx(58)
            height: Units.tvPx(Math.round(58 + shell.volume * 202))
        }
    }
}
